export interface LangConfig {
    token: string;
    apiVersion?: string;
}
export interface Intent {
    name: string;
    features: string[];
}
export interface AnalyzeRequest {
    text: string;
    projectId: string;
}
export interface AnalyzeResponse {
    intents: Intent[];
}
export default class Lang {
    private baseApiUrl;
    private apiUrl;
    private config;
    /**
     * Create a new instance of lang class
     * @param config
     * @param config.token
     */
    constructor(config: LangConfig);
    analyze(params: AnalyzeRequest): Promise<AnalyzeResponse>;
}
